JIRA Software must be updated

We have upgraded to JIRA Software and are currently running 7.0.2

There is now a message under Applications:

JIRA Software must be updated to version 7.0.4 to be compatible with the installed version of JIRA Core.

Installed JIRA Core is also 7.0.2. Do we need to upgrade Software to 7.0.4 alone, or do we need JIRA Core 7.0.4 first? My interpretation of this message is that we need to upgrade JIRA Software to 7.0.4 for it to be compatible with the installed JIRA Core 7.0.2.

6 answers

This widget could not be displayed.

I too am curious about this, but I think it's actually a bug on their side. In my case I've got 7.0.2 of Core and of Software installed. But 7.0.4 of Core is available. I'll bet dollars to donuts that the availability of 7.0.4 has triggered that message incorrectly. Atlassian?

2015-12-07_20-50-27.jpg

This widget could not be displayed.

I'm also interested in understanding this upgrade request.

In our case we upgraded first to JIRA Software 7.0.0, and apparently also got JIRA Core 7.0.0 (although we have no license nor usage for it). We then installed JIRA Service Desk 3.0.0.

Then a week or so ago we were prompted to upgrade Service Desk to 3.0.2 to be compatible with the installed JIRA Core - which is still 7.0.0.

A few days later we were prompted to upgrade JIRA Software to 7.0.2 to be compatible with the installed JIRA Core - which is still 7.0.0. This time it's also possible to download JIRA Core 7.0.2, which we choose not to do.

Today we were again prompted to upgrade both JIRA Service Desk (to 3.0.4) and JIRA Software (to 7.0.4), again apparently to maintain compatibility to JIRA Core - which is still 7.0.0. This time it's also possible to do download JIRA Core 7.0.4, but should we?

It would be nice to have this upgrading request feature further explained.

This widget could not be displayed.

Hi All,

This seems to be a bug that is currently tracked here.

https://jira.atlassian.com/browse/GHS-12935

I would suggest you all to proceed to perform the upgrade for JIRA SOFTWARE to 7.0.4 using this installer, where both JIRA SW and Core will be upgraded together to 7.0.4.

Do raise a support request if you face any further difficulties.

 

Cheers,
Azfar 

This widget could not be displayed.

But is it safe or not to stay with 7.0.2 even with that message?

This widget could not be displayed.

Are you able to find out the reason why the compatibility message was showing?
I'm having the same problem with JIRA 7.0.10 

This widget could not be displayed.
This is no longer displayed in our JIRA. Not sure when, or how. 
We are now running JIRA Core 7.1.7 and JIRA Software 7.1.9

Suggest an answer

Log in or Sign up to answer
Community showcase
Posted yesterday in Jira

What modern development practices are at the heart of how your team delivers software?

Hey Community mates! Claire here from the Software Product Marketing team. We all know software development changes rapidly, and it's often tough to keep up. But from our research, we've found the h...

73 views 0 1
Join discussion

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you